| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/prfxcfg.h File Reference

Implementation of iConfigFile prepending a string to all key names. More...

`#include "csextern.h"`
`#include "csutil/cfgfile.h"`

Go to the source code of this file.

## Classes
class | csPrefixConfig
| This is an implementation of iConfigFile that stores an ID string at construction, which it then prepends to all config keys on read/write operations. More...

## Detailed Description

Implementation of iConfigFile prepending a string to all key names.

Definition in file prfxcfg.h.